<script language="javascript" type="text/javascript">
function save_config() {

	$(document).ready(function() { 
		var options = { 
			target:        '#action_box',   // target element(s) to be updated with server response 
			beforeSubmit:  showRequest,  // pre-submit callback 
			success:       showResponse,  // post-submit callback 
			
			// other available options: 
			//url:       url         // override for form's 'action' attribute 
			//type:      type        // 'get' or 'post', override for form's 'method' attribute 
			//dataType:  'json',        // 'xml', 'script', or 'json' (expected server response type) 
			//clearForm: true        // clear all form fields after successful submit 
			resetForm: true        // reset the form after successful submit 
	 
			// $.ajax options can be used here too, for example: 
			//timeout:   3000 
		}; 
		
		// bind to the form's submit event 
		$("#config").ajaxSubmit(options); 
		
	}); 
}

function showRequest(formData, jqForm, options) { 
    var queryString = $.param(formData); 
	
	//网站主关键词
	var val = $("#site_title").val();
	if(!(val.length >= 2 && val.length <= 8)) {
		alert('网站主关键词一项，请输入正确的2至8个左右的文字内容！');
		$("#site_title").focus();
		return false;
	}
	
	//网站名字以及描述
	var val = $("#site_description").val();
	if(!(val.length >= 4 && val.length <= 128)) {
		alert('网站名字以及描述一项,请输入正确的4至128个左右的文字内容！');
		$("#site_description").focus();
		return false;
	}
	
	//网站关键词列表
	var val = $("#site_keywords").val();
	if(!(val.length >= 2 && val.length <= 64)) {
		alert('网站关键词列表一项请输入正确的2至64个左右的文字内容！');
		$("#site_keywords").focus();
		return false;
	}
	
	//网站主ID
	var reg=/^[\w]{2,32}$/;
	if(!reg.test($("#site_id").val())){
		alert('网站ID只能是字母、数字的短线，并且长度在2至32个字符之间！');
		$("#site_id").focus();
		return false;
	}
	
	
	//网站管理员
	var reg=/^[\w]{4,16}$/;
	if(!reg.test($("#admin").val())){
		alert('网站管理员一项，请输入正确的4至16这个字符的管理员账号');
		$("#admin").focus();
		return false;
	}
	
	
	//网站管理密码
	var reg=/^[\w]{4,16}$/;
	if(!reg.test($("#password").val())){
		alert('网站管理密码一项，请输入正确的4至16这个字符的管理员密码');
		$("#password").focus();
		return false;
	}
	
	//设定全局变量
	WEB_HOST = $("#domain").val();
	SITE_ID = $("#site_id").val();
    return true; 
} 

function showResponse(responseText, statusText)  { 
	responseText = parseInt(responseText);
	
	//如果执行了正确安装
	if (responseText == 1) {
		$("#action_box").html('<strong>OK....操作正确，请进行下一步</strong> ');
		$("#next").html('<a href="javascript:install(\'write_data\')">下一步：安装默认数据</a>');
	} else {
		$("#action_box").html('<font color="#FF0000"><strong>警告：提交数据失败！请检查./include/domain.php文件是否有可读、可写的权限！</strong></font> ');
	}
	
}
</script>
<?PHP  $site_path = str_replace("\\", "/", dirname($_SERVER['PHP_SELF'])); $site_path = preg_replace("/[\/]+$/is", "", $site_path); ?>
<form action="<?=$_SERVER['PHP_SELF']?>?step=config&<?=time()?>" method="post" enctype="application/x-www-form-urlencoded" name="config" id="config">
  <table border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#CCCCCC">
    <tr>
      <td width="180" bgcolor="#FFFFFF">网站域名及路径设置：</td>
      <td bgcolor="#FFFFFF"><label>http://<?=$_SERVER['HTTP_HOST']?><?=$site_path?>
        <input name="domain" type="hidden" id="domain" value="<?=$_SERVER['HTTP_HOST']?>" />
        <input name="site_path" type="hidden" id="site_path" value="<?=$site_path?>" />
        此项自动检测，<font color="#FF0000"><strong>一搬不需要更改。</strong></font></label></td>
    </tr>
    <tr>
      <td bgcolor="#FFFFFF">请输入你网站业务主关键词：</td>
      <td bgcolor="#FFFFFF"><label>
        <input name="site_title" type="text" id="site_title" value="" />
        网站核心关键词</label></td>
    </tr>
    <tr>
      <td bgcolor="#FFFFFF">请输入你的网站业务描述：</td>
      <td bgcolor="#FFFFFF"><label>
        <input name="site_description" type="text" id="site_description" value="" />
        请用简明的带关键词信息的语句来描述你的网站</label></td>
    </tr>
    <tr>
      <td bgcolor="#FFFFFF">请输入你网站的关键词列表：</td>
      <td bgcolor="#FFFFFF"><label>
        <input name="site_keywords" type="text" id="site_keywords" value="" />
        多个关键词请用英文逗号“,”
        隔开</label></td>
    </tr>
    <tr>
      <td bgcolor="#FFFFFF">网站保存数据的唯一ID：</td>
      <td bgcolor="#FFFFFF"><label>
        <input name="site_id" type="text" id="site_id" value="<?=substr(md5(preg_replace("/[\.]+/", '', $_SERVER['HTTP_HOST'])), 0, 8)?>" />
        <font color="#FF0000">此项很重要，一经设定，网站终生不能更改</font></label></td>
    </tr>
    <tr>
      <td bgcolor="#FFFFFF">请选择你喜欢的网站样式：</td>
      <td bgcolor="#FFFFFF"><label>
        <select name="skinid" id="skinid">
          <option value="default">默认</option>
          <option value="xhtml">酷黑</option>
          <option value="blue">青色</option>
          <option value="green">绿色</option>
          <option value="blove">蓝色</option>
          <option value="pink">粉红</option>
          <option value="red">英文界面</option>
        </select>
        请选择 </label></td>
    </tr>
    <tr>
      <td bgcolor="#FFFFFF">你的管理员账号：</td>
      <td bgcolor="#FFFFFF"><label>
        <input name="admin" type="text" id="admin" value="Admin" />
        将在管理平台显示账这个名字。 </label></td>
    </tr>
    <tr>
      <td bgcolor="#FFFFFF">你的管理员密码：</td>
      <td bgcolor="#FFFFFF"><label>
        <input name="password" type="password" id="password" value="admin" />
        你的管理员密码，默认是“admin”。</label></td>
    </tr>
  </table>
</form>
